POST Send Notification
POST /auto/v1/notification/{vin}
Sends notification for a specified vehicle identification number.
Parameters
vin(path, string, required) The vehicle identification number.
Request body
Media type: application/json. Schema: object.
Example
"message": "Alert"
"objectName": "Vehicle"
"recordId": "u8383478iuyeuue"
Responses
- 200
Media type:
application/json. Schema:object.Example
"code": "200" "message": "The notification was sent." "isSuccess": true "correlationId": "12746735744868" - 400
There was an issue with your request.
Media type:
application/json. Schema:any.Type:
any.Example
code: "400" message: Bad request. isSuccess: false correlationId: "1234444" - 401
Authorization failed.
Media type:
application/json. Schema:any.Type:
any.Example
code: "401" message: Unauthorized. isSuccess: false correlationId: "1234444" - 404
The requested resource was not found.
Media type:
application/json. Schema:any.Type:
any.Example
code: "404" message: Resource not found. isSuccess: false correlationId: "1234444" - 405
Method not allowed.
Media type:
application/json. Schema:any.Type:
any.Example
code: "405" message: Method not allowed. isSuccess: false correlationId: "1234444" - 406
Not acceptable.
Media type:
application/json. Schema:any.Type:
any.Example
code: "406" message: Not acceptable. isSuccess: false correlationId: "1234444" - 415
The media type is not supported.
Media type:
application/json. Schema:any.Type:
any.Example
code: "415" message: Unsupported media type. isSuccess: false correlationId: "1234444" - 500
Unable to complete the request as the server encountered an error.
Media type:
application/json. Schema:any.Type:
any.Example
code: "500" message: Internal server error. isSuccess: false correlationId: "1234444" - 501
Not implemented.
Media type:
application/json. Schema:any.Type:
any.Example
code: "501" message: Not implemented. isSuccess: false correlationId: "1234444"